[Android] Check for unknown ABI at the begining.

Thomas Guillem git at videolan.org
Wed Feb 11 10:39:42 CET 2015


vlc-ports/android | branch: master | Thomas Guillem <thomas at gllm.fr> | Wed Feb 11 10:04:14 2015 +0100| [d58836745f2455eeb71dea910f8d7163a8277a2c] | committer: Thomas Guillem

Check for unknown ABI at the begining.

> http://git.videolan.org/gitweb.cgi/vlc-ports/android.git/?a=commit;h=d58836745f2455eeb71dea910f8d7163a8277a2c
---

 compile-libvlc.sh |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/compile-libvlc.sh b/compile-libvlc.sh
index 65bdf2b..241ef0c 100755
--- a/compile-libvlc.sh
+++ b/compile-libvlc.sh
@@ -259,11 +259,14 @@ elif [ "${ANDROID_ABI}" = "arm64-v8a" ] ; then
     HAVE_ARM=1
     HAVE_64=1
     PLATFORM_SHORT_ARCH="arm64"
-else
+elif [ "${ANDROID_ABI}" = "armeabi-v7a" -o "${ANDROID_ABI}" = "armeabi" ] ; then
     TARGET_TUPLE="arm-linux-androideabi"
     PATH_HOST=$TARGET_TUPLE
     HAVE_ARM=1
     PLATFORM_SHORT_ARCH="arm"
+else
+    echo "Unknown ABI: '${ANDROID_ABI}'. Die, die, die!"
+    exit 2
 fi
 
 # try to detect NDK version
@@ -349,9 +352,6 @@ elif [ "${ANDROID_ABI}" = "mips" ] ; then
     # All MIPS Linux kernels since 2.4.4 will trap any unimplemented FPU
     # instruction and emulate it, so we select -mhard-float.
     # See http://www.linux-mips.org/wiki/Floating_point#The_Linux_kernel_and_floating_point
-else
-    echo "Unknown ABI. Die, die, die!"
-    exit 2
 fi
 
 EXTRA_CFLAGS="${EXTRA_CFLAGS} -I${ANDROID_NDK}/sources/cxx-stl/gnu-libstdc++/${GCCVER}/include"



More information about the Android mailing list